Subject: Re: bug#19688: [patch] add support for emacs daemon on Windows

From: Eli Zaretskii <[email-masked]>
Date: Sat, 14 Feb 2015 20:26:51 +0200

> Date: Sun, 15 Feb 2015 02:57:13 +0900
> From: Mark Laws <[email-masked]>
> Cc: [email-masked]
> 
> > In general, it looks to me that we should make a separate
> > implementation of daemon-initialized for Windows, and put it on one of
> > the w32*.c files.
> 
> Given that the Windows implementation of the function is three lines
> long and consists solely of side effects that are already localized to
> emacs.c, I think it's much clearer to keep it as-is.

Length of the function is not my concern.  The concern is to keep
stuff that needs windows.h confined to w32*.c source files.  It's true
that currently emacs.c already includes windows.h indirectly, but I'd
like to keep that to a bare minimum.